---
search:
  tags:
    - Webhooks
    - POST
seo:
  description: >-
    Creates a new webhook subscription. After creation the API sends a…
    Reference for the POST /hub/{shop_id}/subscriptions endpoint in the Bolder
    API v1 API.
sidebar:
  badge: POST
  label: Subscribe
title: Subscribe
type: openapi-operation
---
Creates a new webhook subscription. After creation the API sends a verification POST to
your `url` containing a `X-Hook-Ping` header. Your endpoint must respond with a matching
`X-Hook-Pong` header to activate the subscription.

### Subscription states

| Status | Description |
|--------|-------------|
| `pending` | Created, awaiting verification |
| `active` | Verified and receiving events |
| `failed_activation` | Verification was rejected |
| `failed` | Disabled after 3 consecutive delivery failures |
| `disabled` | Manually disabled or target returned `410` |

### Available event topics

**Orders:** `orders`, `orders.created`, `orders.created.checkout`, `orders.updated`,
`orders.updated.placed`, `orders.updated.closed`, `orders.updated.shipped`,
`orders.updated.cancelled`, `orders.deleted`

**Products:** `products`, `products.created`, `products.updated`, `products.deleted`,
`products.updated.variants.created`, `products.updated.variants.updated`,
`products.updated.variants.deleted`, `products.updated.assets.created`,
`products.updated.assets.deleted`

<Operation source="v1" id="createsubscription" />
